Skip to Content
veriom

List processing ledger

List processing ledger entries, newest first: each charge and credit as recorded.

GET
/v1/workspaces/{workspace_id}/processing/ledger

List processing ledger entries, newest first: each charge and credit as recorded.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

period?|

Only this UTC month, YYYY-MM.

before?|

Only entries recorded before this time.

limit?Limit
Range1 <= value <= 200
Default50

Response Body

Successful Response

application/json
  1. response
items*array<>
next_before*|

Pass as before to read older entries; null on the last page.

Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/processing/ledger'
Example Response
{  "items": [    {      "assessment_type": "string",      "assistant_run_id": "c2113885-3976-43ff-ae5d-0bbf9cab5284",      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "catalog_version": "string",      "created_at": "2019-08-24T14:15:22Z",      "entry_type": "usage",      "failed": true,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "operation_kind": "initial_ingestion",      "period": "string",      "remediation_id": "9fa2b1a2-44a1-4712-b82c-9177c08c10d0",      "units": "string",      "usage_category": "string"    }  ],  "next_before": "2019-08-24T14:15:22Z"}